View Issue Details

IDProjectCategoryView StatusLast Update
0032727Open CASCADEOCCT:Codingpublic2021-12-11 15:27
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032727: Coding Rules - eliminate CLang warning -Wshorten-64-to-32 in MessageView_ActionsTest.cxx
DescriptionThe following compiler warning should be eliminated [CR0-WEEK-49_CR0-WEEK-49-OCCT-Arm64-macosx-shared-opt-compile]:
/Users/mnt/builds/CR0-WEEK-49_CR0-WEEK-49/OCCT_SRC/tools/MessageView/MessageView_ActionsTest.cxx:153:30: warning: implicit conversion loses integer precision: 'clock_t' (aka 'unsigned long') to 'unsigned int' [-Wshorten-64-to-32]
  unsigned int start_time =  clock();
               ~~~~~~~~~~    ^~~~~~~

/Users/mnt/builds/CR0-WEEK-49_CR0-WEEK-49/OCCT_SRC/tools/MessageView/MessageView_ActionsTest.cxx:175:27: warning: implicit conversion loses integer precision: 'clock_t' (aka 'unsigned long') to 'unsigned int' [-Wshorten-64-to-32]
  unsigned int end_time = clock();
               ~~~~~~~~   ^~~~~~~
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0026171 verifiedinv Coding rules - eliminate -Wshorten-64-to-32 CLang warnings 

Activities

git

2021-12-08 22:45

administrator   ~0105759

Branch CR32727 has been created by kgv.

SHA-1: d8369e87cb1ef148d0e9533847864d51e4bb2a25


Detailed log of new commits:

Author: kgv
Date: Wed Dec 8 22:45:18 2021 +0300

    0032727: Coding Rules - eliminate CLang warning -Wshorten-64-to-32 in MessageView_ActionsTest.cxx

kgv

2021-12-08 23:35

developer   ~0105760

Please raise the patch
- OCCT: branch CR32727.

http://jenkins-test-12.nnov.opencascade.com/view/CR32727-master-KGV/view/OCCT%20compile/

smoskvin

2021-12-11 11:35

administrator   ~0105810

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-11 15:27

administrator   ~0105830

Branch CR32727 has been deleted by mnt.

SHA-1: d8369e87cb1ef148d0e9533847864d51e4bb2a25

Related Changesets

occt: master f4f9ce4b

2021-12-08 19:45:18

kgv


Committer: smoskvin Details Diff
0032727: Coding Rules - eliminate CLang warning -Wshorten-64-to-32 in MessageView_ActionsTest.cxx Affected Issues
0032727
mod - tools/MessageView/MessageView_ActionsTest.cxx Diff File

Issue History

Date Modified Username Field Change
2021-12-08 22:41 kgv New Issue
2021-12-08 22:41 kgv Assigned To => kgv
2021-12-08 22:41 kgv Relationship added child of 0026171
2021-12-08 22:45 git Note Added: 0105759
2021-12-08 22:45 kgv Description Updated
2021-12-08 23:35 kgv Test case number => N/A
2021-12-08 23:35 kgv Note Added: 0105760
2021-12-08 23:35 kgv Assigned To kgv => bugmaster
2021-12-08 23:35 kgv Severity minor => trivial
2021-12-08 23:35 kgv Status new => resolved
2021-12-08 23:35 kgv Status resolved => reviewed
2021-12-11 11:35 smoskvin Note Added: 0105810
2021-12-11 11:35 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master f4f9ce4b
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-11 15:27 git Note Added: 0105830